View Issue Details

IDProjectCategoryView StatusLast Update
14198Bug reports[All Projects] Expression Managerpublic2019-07-02 17:05
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14198: max function broken : diff in JS and PHP, diff with previous behaviour
Description

Using max with "not answered" question show different behaviour in JS and PHP

Steps To Reproduce

Import included survey : mpve next : see the difference with max(that.Q00.NAOK) : in js show empty, in PHP show 4.

It work in 2.73 : show 4 for the 2 part

Additional Information

Surely related with : https://github.com/LimeSurvey/LimeSurvey/commit/a83531f716f4584272dc3aaf5d214880c6579de4

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

parent of 15012 assignedDenisChenu Development  Must add test for min max EM function 
Not all the children of this issue are yet resolved or closed.

Activities

DenisChenu

DenisChenu

2018-10-31 09:22

developer  

limesurvey_survey_maxBrokenJS.lss (20,941 bytes)
DenisChenu

DenisChenu

2018-10-31 09:30

developer   ~49500

Send a second lss , with max for a multiple short text question.

2.73 have a issue : show NAN in JS, Anything in PHP.

Unsure for the way to fix for TEXT + NUMERIC value, but for sure : with numeric value (return of multinumeric is numeric) : comparaison must be done with number.



limesurvey_survey_maxBroken2_273issueToo.lss (25,426 bytes)
DenisChenu

DenisChenu

2019-06-05 07:55

developer   ~52301

Last edited: 2019-06-05 07:56

View 2 revisions

https://github.com/LimeSurvey/LimeSurvey/pull/1289
OK with both numeric and both string

DenisChenu

DenisChenu

2019-06-05 13:51

developer   ~52303

See current js behaviour against php behaviour.
Include survey with min too

Min with '' : send always '', min with alpha only send the minimal alpha

DenisChenu

DenisChenu

2019-06-05 13:51

developer  

limesurvey_survey_EmMinMaxTest.lss (44,876 bytes)
DenisChenu

DenisChenu

2019-07-02 17:04

developer   ~52681

https://github.com/LimeSurvey/LimeSurvey/commit/db0310d6559f8114beaced4222c0bd7321caa204

Issue History

Date Modified Username Field Change
2018-10-31 09:22 DenisChenu New Issue
2018-10-31 09:22 DenisChenu Status new => assigned
2018-10-31 09:22 DenisChenu Assigned To => markusfluer
2018-10-31 09:22 DenisChenu File Added: limesurvey_survey_maxBrokenJS.lss
2018-10-31 09:30 DenisChenu File Added: limesurvey_survey_maxBroken2_273issueToo.lss
2018-10-31 09:30 DenisChenu Note Added: 49500
2019-04-25 19:26 DenisChenu Relationship added related to 14817
2019-04-26 09:07 DenisChenu Relationship deleted related to 14817
2019-06-05 07:55 DenisChenu Note Added: 52301
2019-06-05 07:56 DenisChenu Note Edited: 52301 View Revisions
2019-06-05 13:51 DenisChenu Note Added: 52303
2019-06-05 13:51 DenisChenu File Added: limesurvey_survey_EmMinMaxTest.lss
2019-06-05 13:51 DenisChenu File Added: Capture d’écran du 2019-06-05 13-48-50.png
2019-06-05 13:51 DenisChenu File Added: Capture d’écran du 2019-06-05 13-49-16.png
2019-06-06 08:57 DenisChenu Assigned To markusfluer => DenisChenu
2019-07-02 17:04 DenisChenu Status assigned => resolved
2019-07-02 17:04 DenisChenu Resolution open => fixed
2019-07-02 17:04 DenisChenu Fixed in Version => 3.17.x
2019-07-02 17:04 DenisChenu Note Added: 52681
2019-07-02 17:05 DenisChenu Relationship added parent of 15012